Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7-imagick: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 22 Feb 2017 14:06:37 +0200

---
 testing/php7-imagick/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/php7-imagick/APKBUILD
diff --git a/testing/php7-imagick/APKBUILD b/testing/php7-imagick/APKBUILD
new file mode 100644
index 0000000000..0161d03fe4
--- /dev/null
+++ b/testing/php7-imagick/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=php7-imagick
+pkgver=3.4.3
+pkgrel=0
+_pkgreal=${pkgname#php*-}
+_pkgver=${pkgver/_rc/RC}
+_phpver=${pkgname%%-*}
+_suffix=${_phpver#php}
+pkgdesc="PHP$_suffix extension: Provides a wrapper to the ImageMagick library"
+url="http://pecl.php.net/package/imagick"
+arch="all"
+license="PHP"
+depends=
+makedepends="$_phpver-dev autoconf libtool imagemagick-dev"
+subpackages="$pkgname-dev"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+builddir="$srcdir/$_pkgreal-$_pkgver"
+
+build() {
+	cd "$builddir"
+	phpize$_suffix || return 1
+	./configure --prefix=/usr \
+		--with-php-config=php-config$_suffix || return 1
+	make
+}
+
+package() {
+	local cfgdir=$(php-config$_suffix --configure-options|xargs -n1|awk -F= '/config-file-scan-dir/ {print $2}')
+
+# for new php7 build only
+#	local apiver=$(phpize$_suffix -v|awk -F: '/PHP Api/ {print $2}'|tr -d ' ')
+#	provides="php-$_pkgreal"
+#	depends="$_phpver-config phpapi=$apiver $depends"
+
+	make -C "$builddir" INSTALL_ROOT="$pkgdir" install || return 1
+
+	mkdir -p "$pkgdir"/$cfgdir || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/$cfgdir/$_pkgreal.ini
+}
+
+sha512sums="2cb2b856cf83a78d3542cdf7c69554dcc063a0541e9092b24e5e1fbd8928066a4a3de154049d0202c35addbc5055ccfbb5910ae92f2f13da80ddfc025340ddcd  imagick-3.4.3.tgz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 22 2017 - 14:06:37 GMT